Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Class ConnectionFactory

    java.lang.Object
      javax.xml.registry.ConnectionFactory

public abstract class ConnectionFactory
extends java.lang.Object

This is the abstract base class for factory classes for creating a JAXR connection. A JAXR ConnectionFactory object is configured in a provider-specific way to create connections with registry providers.

## Looking Up a ConnectionFactory Using the JNDI API

The preferred way for a client to look up a JAXR ConnectionFactory is within the Java Naming and Directory InterfaceTM (JNDI) API. A ConnectionFactory object is registered with a naming service in a provider specific way, such as one based on the JNDI API. This registration associates the ConnectionFactory object with a logical name. When an application wants to establish a connection with the provider associated with that ConnectionFactory object, it does a lookup, providing the logical name. The application can then use the ConnectionFactory object that is returned to create a connection to the messaging provider.

## Looking Up a ConnectionFactory Without Using the JNDI API

The JAXR API provides an alternative way to look up a JAXR ConnectionFactory that does not require the use of the JNDI API. This is done using the newInstance static method on the abstract class ConnectionFactory provided in the JAXR API. The newInstance method returns a JAXR ConnectionFactory. The client may indicate which factory class should be instantiated by the newInstance method by defining the system property javax.xml.registry.ConnectionFactoryClass. If this property is not set, the JAXR provider must return a default ConnectionFactory instance.

Author:
  Farrukh S. Najmi
See Also:
  `Connection`

Constructor Summary
`ConnectionFactory()`

Method Summary
`abstract Connection` | `createConnection()` Create a named connection.
`abstract FederatedConnection` | `createFederatedConnection(java.util.Collection connections)` Create a FederatedConnection.
`abstract java.util.Properties` | `getProperties()` Gets the Properties used during createConnection and createFederatedConnection calls.
`static ConnectionFactory` | `newInstance()` Creates a default `ConnectionFactory` object.
`abstract void` | `setProperties(java.util.Properties properties)` Sets the Properties used during createConnection and createFederatedConnection calls.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFactory

    public ConnectionFactory()

Method Detail

### setProperties

    public abstract void setProperties(java.util.Properties properties)
                                throws JAXRException

  Sets the Properties used during createConnection and createFederatedConnection calls.

  Standard Connection Properties:
    `javax.xml.registry.queryManagerURL` - URL String for the query manager service within the target registry provider
    `javax.xml.registry.lifeCycleManagerURL` - URL String for the life cycle manager service within the target registry provider. If unspecified, must default to value of the queryManagerURL described above
    `javax.xml.registry.semanticEquivalences` - String that allows specification of semantic equivalences
    `javax.xml.registry.security.authenticationMethod` - string that provides a hint to the JAXR provider on the authentication method to be used when authenticating with the registry provider. Possible value include but are not limited to "UDDI_GET_AUTHTOKEN", "HTTP_BASIC", "CLIENT_CERTIFICATE", "MS_PASSPORT"
    `javax.xml.registry.uddi.maxRows` - integer that specifies the maximum number of rows to be returned for find operations. This property is specific for UDDI providers
    `javax.xml.registry.postalAddressScheme` - String that specifies the id of a ClassificationScheme that is used as the default postal address scheme for this connection

  Capability Level: 0

  Parameters:
    `properties` - configuration properties that are either specified by JAXR specification or are provider specific.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getProperties

    public abstract java.util.Properties getProperties()
                                                throws JAXRException

  Gets the Properties used during createConnection and createFederatedConnection calls.

  Capability Level: 0

  Returns:
    the Properties defined for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### createConnection

    public abstract Connection createConnection()
                                         throws JAXRException

  Create a named connection. Such a connection can be used to communicate with a JAXR provider.

  Capability Level: 0

  Returns:
    the Connection created by this call
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### createFederatedConnection

    public abstract FederatedConnection createFederatedConnection(java.util.Collection connections)
                                                           throws JAXRException

  Create a FederatedConnection.

  Capability Level: 0 (optional)

  Parameters:
    `connections` - Is a Collection of Connection objects. Note that Connection objects may also be FederatedConnection objects.
  Returns:
    the FederatedConnection created by this call
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### newInstance

    public static ConnectionFactory newInstance()
                                         throws JAXRException

  Creates a default `ConnectionFactory` object.

  Returns:
    a new instance of a `ConnectionFactory`
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.